Index: /palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- /palm/trunk/DOC/app/chapter_4.1.html	(revision 165)
+++ /palm/trunk/DOC/app/chapter_4.1.html	(revision 166)
@@ -3157,5 +3157,5 @@
 
 
-If <a href="../../../../../DEVELOPER_VERSION/chapter_4.1_adjusted.html#plant_canopy">plant_canopy</a> is set <span style="font-style: italic;">.T.</span>, the user can prescribe a heat flux at the top of the plant canopy.<br>
+If <a href="#plant_canopy">plant_canopy</a> is set <span style="font-style: italic;">.T.</span>, the user can prescribe a heat flux at the top of the plant canopy.<br>
 
 
@@ -3164,5 +3164,5 @@
 
 
-Note: Instead of using the value prescribed by <a href="../../../../../DEVELOPER_VERSION/chapter_4.1_adjusted.html#surface_heatflux">surface_heatflux</a>,
+Note: Instead of using the value prescribed by <a href="#surface_heatflux">surface_heatflux</a>,
 the near surface heat flux is determined from an exponential function
 that is dependent on the cumulative leaf_area_index (Shaw and Schumann
@@ -6332,6 +6332,6 @@
 This
 parameter assigns the value of the leaf area density <span style="font-weight: bold;">lad</span> at the surface (k=0)<b>.</b> Starting from this value,
-the leaf area density profile is constructed with <a href="chapter_4.1.html#lad_vertical_gradient">lad_vertical_gradient</a>
-and <a href="chapter_4.1.html#lad_vertical_gradient_level">lad_vertical_gradient_level
+the leaf area density profile is constructed with <a href="#lad_vertical_gradient">lad_vertical_gradient</a>
+and <a href="#lad_vertical_gradient_level">lad_vertical_gradient_level
       </a>.</td>
 
@@ -6353,10 +6353,10 @@
       <p>This leaf area density gradient
 holds starting from the height&nbsp;
-level defined by <a href="chapter_4.1.html#lad_vertical_gradient_level">lad_vertical_gradient_level</a>
+level defined by <a href="#lad_vertical_gradient_level">lad_vertical_gradient_level</a>
 (precisely: for all uv levels k where zu(k) &gt; lad_vertical_gradient_level, lad(k) is set: lad(k) = lad(k-1) + dzu(k) * <b>lad_vertical_gradient</b>)
 up to the level defined by <a href="#pch_index">pch_index</a>. Above that level lad(k) will automatically set to 0.0. A total of 10 different gradients for 11 height intervals (10 intervals
-if <a href="chapter_4.1.html#lad_vertical_gradient_level">lad_vertical_gradient_level</a>(1)
+if <a href="#lad_vertical_gradient_level">lad_vertical_gradient_level</a>(1)
 = <i>0.0</i>) can be assigned. The leaf area density at the surface is
-assigned via <a href="chapter_4.1.html#lad_surface">lad_surface</a>.&nbsp;
+assigned via <a href="#lad_surface">lad_surface</a>.&nbsp;
       </p>
 
@@ -6374,5 +6374,5 @@
 
       <td style="vertical-align: top;">Height level from which on the&nbsp;gradient
-of the leaf area density defined by <a href="chapter_4.1.html#lad_vertical_gradient">lad_vertical_gradient_level</a>
+of the leaf area density defined by <a href="#lad_vertical_gradient_level">lad_vertical_gradient_level</a>
 is effective (in m).<br>
 
@@ -6380,5 +6380,5 @@
 
 The height levels have to be assigned in ascending order. The
-default values result in a leaf area density that is constant with height uup to the top of the plant canopy layer defined by <a href="#pch_index">pch_index</a>. For the piecewise construction of temperature profiles see <a href="chapter_4.1.html#lad_vertical_gradient">lad_vertical_gradient</a>.</td>
+default values result in a leaf area density that is constant with height uup to the top of the plant canopy layer defined by <a href="#pch_index">pch_index</a>. For the piecewise construction of temperature profiles see <a href="#lad_vertical_gradient">lad_vertical_gradient</a>.</td>
 
     </tr>
@@ -6398,5 +6398,5 @@
 
 
-This parameter is only of importance in cases in that both, <a href="../../../../../DEVELOPER_VERSION/chapter_4.1_adjusted.html#plant_canopy">plant_canopy</a> and <a href="../../../../../DEVELOPER_VERSION/chapter_4.1_adjusted.html#passive_scalar">passive_scalar</a>, are set <span style="font-style: italic;">.T.</span>.
+This parameter is only of importance in cases in that both, <a href="#plant_canopy">plant_canopy</a> and <a href="#passive_scalar">passive_scalar</a>, are set <span style="font-style: italic;">.T.</span>.
 The value of the concentration of a passive scalar at the surface of a
 leaf is required for the parametrisation of the sources and sinks of
@@ -9750,7 +9750,15 @@
 additional drag term in the momentum equations and an additional sink
 term in the prognostic equation for the subgrid-scale TKE. These
-additional terms are dependent on the leaf drag coefficient (see <a href="#drag_coefficient">drag_coefficient</a>) and the leaf area density (see <a href="#lad_surface">lad_surface</a>, <a href="#lad_vertical_gradient">lad_vertical_gradient</a>, <a href="#lad_vertical_gradient_level">lad_vertical_gradient_level</a>). <br>
-
-By default, a horizontally homogeneous plant canopy is prescribed, if&nbsp; <span style="font-weight: bold;">plant_canopy</span> is set <span style="font-style: italic;">.T.</span>. However, the user can define other types of plant canopies (see <a href="#canopy_mode">canopy_mode</a>).<br>
+additional terms are dependent on the leaf drag coefficient (see <a href="#drag_coefficient">drag_coefficient</a>) and the leaf area density (see <a href="#lad_surface">lad_surface</a>, <a href="#lad_vertical_gradient">lad_vertical_gradient</a>, <a href="#lad_vertical_gradient_level">lad_vertical_gradient_level</a>). The top boundary of the plant canopy is determined by the parameter <a href="#pch_index">pch_index</a>. For all heights equal to or larger than zw(k=<span style="font-weight: bold;">pch_index</span>) the leaf area density is 0 (i.e. there is no canopy at these heights!). <br>
+
+By default, a horizontally homogeneous plant canopy is prescribed, if&nbsp; <span style="font-weight: bold;">plant_canopy</span> is set <span style="font-style: italic;">.T.</span>. However, the user can define other types of plant canopies (see <a href="#canopy_mode">canopy_mode</a>).<br><br>If <span style="font-weight: bold;">plant_canopy</span> and&nbsp; <span style="font-weight: bold;">passive_scalar</span><span style="font-style: italic;"> </span>are set <span style="font-style: italic;">.T.</span>,
+the canopy acts as an additional source or sink, respectively, of
+scalar concentration. The source/sink strength is dependent on the
+scalar concentration at the leaf surface, which is generally constant
+with time in PALM and which can be specified by specifying the
+parameter <a href="#leaf_surface_concentration">leaf_surface_concentration</a>. <br><br>Additional heating of the air by the plant canopy is taken into account, when the default value of the parameter <a href="#cthf">cthf</a> is altered in the parameter file. In that case the value of <a href="#surface_heatflux">surface_heatflux</a>
+specified in the parameter file is not used in the model. Instead the
+near-surface heat flux is derived from an expontial function that is
+dependent on the cumulative leaf area index. <br> 
 
       <br>
Index: /palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- /palm/trunk/DOC/app/chapter_4.6.html	(revision 165)
+++ /palm/trunk/DOC/app/chapter_4.6.html	(revision 166)
@@ -1,5 +1,4 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-<head>
+<html><head>
 
 
@@ -20,6 +19,6 @@
   
   
-  <title>PALM chapter 4.6</title>
-  <meta name="GENERATOR" content="StarOffice 7 (Win32)">
+  
+  <title>PALM chapter 4.6</title><meta name="GENERATOR" content="StarOffice 7 (Win32)">
 
 
@@ -65,6 +64,5 @@
 @page { size: 21cm 29.7cm }
 -->
-  </style>
-</head>
+  </style></head>
 
 <body style="direction: ltr;" lang="en-US">
@@ -2493,5 +2491,5 @@
 
  <tr>
-      <td><b><b><a href="../../../../../DEVELOPER_VERSION/chapter_4.1.html#cthf"><b>cthf</b></a></b></b></td>
+      <td><b><b><a href="chapter_4.1.html#cthf"><b>cthf</b></a></b></b></td>
       <td>R</td>
       <td>R</td>
@@ -6775,5 +6773,5 @@
     </tr>
     <tr>
-      <td><b><b><b><b><a href="../../../../../DEVELOPER_VERSION/chapter_4.1.html#leaf_surface_concentration"><b>leaf_surface_concentration</b></a></b></b></b></b></td>
+      <td><b><b><b><b><a href="chapter_4.1.html#leaf_surface_concentration"><b>leaf_surface_concentration</b></a></b></b></b></b></td>
       <td>R</td>
       <td>R</td>
@@ -15426,4 +15424,3 @@
 
 
-</body>
-</html>
+</body></html>