Index: palm/trunk/DOC/app/chapter_3.7.html
===================================================================
--- palm/trunk/DOC/app/chapter_3.7.html	(revision 188)
+++ palm/trunk/DOC/app/chapter_3.7.html	(revision 189)
@@ -1,10 +1,9 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-<head>
+<html><head>
 
   <meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252">
-  <title>PALM chapter 3.7</title>
+  
  
-  <meta name="GENERATOR" content="StarOffice 7 (Win32)">
+  <title>PALM chapter 3.7</title><meta name="GENERATOR" content="StarOffice 7 (Win32)">
  
   <meta name="AUTHOR" content="Siegfried Raasch">
@@ -20,6 +19,5 @@
 @page { size: 21cm 29.7cm }
 -->
-  </style>
-</head>
+  </style></head>
 
 <body style="direction: ltr;" lang="en-US">
@@ -121,5 +119,5 @@
  </td>
  <td> 
-      <p>see section 4.2</p>
+      <p>see section <a href="chapter_4.2.html#particle_parameters">4.2</a></p>
 
       </td>
@@ -143,5 +141,5 @@
 
       <td> 
-      <p>see section 4.2</p>
+      <p>see section <a href="chapter_4.2.html#dvrp_graphics">4.2</a></p>
  </td>
  </tr>
@@ -162,5 +160,5 @@
  <td> 
       <p>see
-section <a href="chapter_4.2.html#spectra_package">4.2</a></p>
+section <a href="chapter_4.2.html#spectra">4.2</a></p>
 
       </td>
@@ -176,4 +174,3 @@
 change:&nbsp;</i> $Id$</p>
 
-</body>
-</html>
+</body></html>
Index: palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.2.html	(revision 188)
+++ palm/trunk/DOC/app/chapter_4.2.html	(revision 189)
@@ -11180,5 +11180,5 @@
 
 
-      <td style="vertical-align: top;">I(10)</td>
+      <td style="vertical-align: top;">I(100)</td>
 
 
@@ -11202,5 +11202,5 @@
 
 
-Spectra can be calculated for up to ten levels.</td>
+Spectra can be calculated for up to 100 levels.</td>
 
 
@@ -11417,5 +11417,5 @@
 
 
- <td style="vertical-align: top;">I(10)</td>
+ <td style="vertical-align: top;">I(100)</td>
 
 
Index: palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.6.html	(revision 188)
+++ palm/trunk/DOC/app/chapter_4.6.html	(revision 189)
@@ -65,5 +65,4 @@
 -->
   </style></head>
-
 <body style="direction: ltr;" lang="en-US">
 
@@ -2021,5 +2020,5 @@
       
       <p>I
-(10)</p>
+(100)</p>
 
 
@@ -9494,5 +9493,5 @@
       
       <p>I
-(10)</p>
+(100)</p>
 
 
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 188)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 189)
@@ -42,4 +42,8 @@
 Changed:
 -------
+Allow 100 spectra levels instead of 10 for consistency with 
+define_netcdf_header (calc_spectra, data_output_spectra, header, modules, 
+netcdf)
+
 Modification of the integrated version of the profile function for momentum 
 for unstable stratification; more consistent flux definitions. (wall_fluxes, 
@@ -83,5 +87,5 @@
 (init_1d_model)
 
-advec_s_ups, advec_u_ups, advec_v_ups, advec_w_ups, calc_spectra, check_open, check_parameters, cpu_statistics, init_1d_model, init_3d_model, modules, palm, parin, poisfft, production_e, read_var_list, read_3d_binary, transpose, wall_fluxes, write_var_list, write_3d_binary
+advec_s_ups, advec_u_ups, advec_v_ups, advec_w_ups, calc_spectra, check_open, check_parameters, cpu_statistics, data_output_spectra, header, init_1d_model, init_3d_model, modules, netcdf, palm, parin, poisfft, production_e, read_var_list, read_3d_binary, transpose, wall_fluxes, write_var_list, write_3d_binary
 
 
Index: palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- palm/trunk/SOURCE/calc_spectra.f90	(revision 188)
+++ palm/trunk/SOURCE/calc_spectra.f90	(revision 189)
@@ -4,4 +4,6 @@
 ! Actual revisions:
 ! -----------------
+! allow 100 spectra levels instead of 10 for consistency with
+! define_netcdf_header
 ! user-defined spectra, arguments removed from transpose routines
 !
@@ -223,5 +225,5 @@
     REAL, DIMENSION(0:nx)      ::  work
     REAL, DIMENSION(0:nx/2)    ::  sums_spectra_l
-    REAL, DIMENSION(0:nx/2,10) ::  sums_spectra
+    REAL, DIMENSION(0:nx/2,100)::  sums_spectra
 
     REAL, DIMENSION(0:nxa,nys_x:nyn_xa,nzb_x:nzt_xa) ::  ddd
@@ -234,5 +236,5 @@
 !-- Loop over all levels defined by the user
     n = 1
-    DO WHILE ( comp_spectra_level(n) /= 999999  .AND.  n <= 10 )
+    DO WHILE ( comp_spectra_level(n) /= 999999  .AND.  n <= 100 )
 
        k = comp_spectra_level(n)
@@ -333,5 +335,5 @@
     REAL, DIMENSION(0:ny)      ::  work
     REAL, DIMENSION(0:ny/2)    ::  sums_spectra_l
-    REAL, DIMENSION(0:ny/2,10) ::  sums_spectra
+    REAL, DIMENSION(0:ny/2,100)::  sums_spectra
 
     REAL, DIMENSION(0:nya,nxl_yd:nxr_yda,nzb_yd:nzt_yda) :: ddd
@@ -345,5 +347,5 @@
 !-- Loop over all levels defined by the user
     n = 1
-    DO WHILE ( comp_spectra_level(n) /= 999999  .AND.  n <= 10 )
+    DO WHILE ( comp_spectra_level(n) /= 999999  .AND.  n <= 100 )
 
        k = comp_spectra_level(n)
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 188)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 189)
@@ -4,4 +4,6 @@
 ! Actual revisions:
 ! -----------------
+! allow 100 spectra levels instead of 10 for consistency with
+! define_netcdf_header
 ! user-defined spectra
 !
@@ -270,5 +272,5 @@
     INTEGER                  :: cranz, labforx = 3, labfory = 3, legpos = 3, &
                                 timodex = 1
-    INTEGER, DIMENSION(1:10) :: cucol = 1, klist = 999999, lstyle = 0
+    INTEGER, DIMENSION(1:100):: cucol = 1, klist = 999999, lstyle = 0
     LOGICAL                  :: datleg = .TRUE., grid = .TRUE., &
                                 lclose = .TRUE., rand = .TRUE., &
@@ -278,6 +280,6 @@
     REAL                     :: gwid = 0.1, rlegfak = 0.7, uxmin, uxmax, &
                                 uymin, uymax
-    REAL, DIMENSION(1:10)    :: lwid = 0.6
-    REAL, DIMENSION(10)      :: uyma, uymi
+    REAL, DIMENSION(1:100)   :: lwid = 0.6
+    REAL, DIMENSION(100)     :: uyma, uymi
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
@@ -301,5 +303,5 @@
 !-- different quantities u, v, w, pt and q)
     DO  k = 1, n_sp_x
-       IF ( k < 10 )  THEN
+       IF ( k < 100 )  THEN
           IF ( pr == 3 )  THEN
              WRITE ( 82, 100 )  '#', k, header_char( pr ),        &
@@ -351,5 +353,5 @@
 !-- Calculate klist-values from the available comp_spectra_level values
     i = 1; k = 1
-    DO WHILE ( i <= 10  .AND.  plot_spectra_level(i) /= 999999 )
+    DO WHILE ( i <= 100  .AND.  plot_spectra_level(i) /= 999999 )
        DO WHILE ( k <= n_sp_x  .AND. &
                   plot_spectra_level(i) >= comp_spectra_level(k) )
@@ -398,5 +400,5 @@
 100 FORMAT (A,I1,1X,A,1X,I4,'m ',A)
 101 FORMAT (A,I2,1X,A,1X,I4,'m ',A)
-102 FORMAT (E15.7,10(1X,E15.7))
+102 FORMAT (E15.7,100(1X,E15.7))
 103 FORMAT ('NEXT')
 104 FORMAT ('time averaged over',F7.1,' s')
@@ -429,5 +431,5 @@
     INTEGER                  :: cranz, labforx = 3, labfory = 3, legpos = 3, &
                                 timodex = 1
-    INTEGER, DIMENSION(1:10) :: cucol = 1, klist = 999999, lstyle = 0
+    INTEGER, DIMENSION(1:100):: cucol = 1, klist = 999999, lstyle = 0
     LOGICAL                  :: datleg = .TRUE., grid = .TRUE., &
                                 lclose = .TRUE., rand = .TRUE., &
@@ -437,6 +439,6 @@
     REAL                     :: gwid = 0.1, rlegfak = 0.7, uxmin, uxmax, &
                                 uymin, uymax
-    REAL, DIMENSION(1:10)    :: lwid = 0.6
-    REAL, DIMENSION(10)      :: uyma, uymi
+    REAL, DIMENSION(1:100)   :: lwid = 0.6
+    REAL, DIMENSION(100)     :: uyma, uymi
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
@@ -460,5 +462,5 @@
 !-- different quantities u, v, w, pt and q)
     DO  k = 1, n_sp_y
-       IF ( k < 10 )  THEN
+       IF ( k < 100 )  THEN
           IF ( pr == 3 ) THEN
              WRITE ( 84, 100 )  '#', k, header_char( pr ),        &
@@ -510,5 +512,5 @@
 !-- Calculate klist-values from the available comp_spectra_level values
     j = 1; k = 1
-    DO WHILE ( j <= 10  .AND.  plot_spectra_level(j) /= 999999 )
+    DO WHILE ( j <= 100  .AND.  plot_spectra_level(j) /= 999999 )
        DO WHILE ( k <= n_sp_y  .AND. &
                   plot_spectra_level(j) >= comp_spectra_level(k) )
@@ -557,5 +559,5 @@
 100 FORMAT (A,I1,1X,A,1X,I4,'m ',A)
 101 FORMAT (A,I2,1X,A,1X,I4,'m ',A)
-102 FORMAT (E15.7,10(1X,E15.7))
+102 FORMAT (E15.7,100(1X,E15.7))
 103 FORMAT ('NEXT')
 104 FORMAT ('time averaged over',F7.1,' s')
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 188)
+++ palm/trunk/SOURCE/header.f90	(revision 189)
@@ -4,4 +4,6 @@
 ! Actual revisions:
 ! -----------------
+! allow 100 spectra levels instead of 10 for consistency with 
+! define_netcdf_header
 ! Bugfix in the output of the characteristic levels of potential temperature, 
 ! geostrophic wind, scalar concentration, humidity and leaf area density
@@ -964,6 +966,6 @@
        WRITE ( io, 372 )  ( data_output_sp(i), i = 1,10 ),     &
                           ( spectra_direction(i), i = 1,10 ),  &
-                          ( comp_spectra_level(i), i = 1,10 ), &
-                          ( plot_spectra_level(i), i = 1,10 ), &
+                          ( comp_spectra_level(i), i = 1,100 ), &
+                          ( plot_spectra_level(i), i = 1,100 ), &
                           averaging_interval_sp, dt_averaging_input_pr
     ENDIF
@@ -1492,7 +1494,15 @@
 372 FORMAT ('       Arrays:     ', 10(A5,',')/                         &
             '       Directions: ', 10(A5,',')/                         &
-            '       height levels  k = ', 9(I3,','),I3,'.'/            &
+            '       height levels  k = ', 20(I3,',')/                  &
+            '                          ', 20(I3,',')/                  &
+            '                          ', 20(I3,',')/                  &
+            '                          ', 20(I3,',')/                  &
+            '                          ', 19(I3,','),I3,'.'/           &
             '       height levels selected for standard plot:'/        &
-            '                      k = ', 9(I3,','),I3,'.'/            &
+            '                      k = ', 20(I3,',')/                  &
+            '                          ', 20(I3,',')/                  &
+            '                          ', 20(I3,',')/                  &
+            '                          ', 20(I3,',')/                  &
+            '                          ', 19(I3,','),I3,'.'/           &
             '       Time averaged over ', F7.1, ' s,' /                &
             '       Profiles for the time averaging are taken every ', &
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 188)
+++ palm/trunk/SOURCE/modules.f90	(revision 189)
@@ -5,4 +5,6 @@
 ! Actual revisions:
 ! -----------------
+! allow 100 spectra levels instead of 10 for consistency with 
+! define_netcdf_header
 ! +canopy_heat_flux, cthf, lai,
 ! +leaf_surface_concentration, scalar_exchange_coefficient, sec, sls
@@ -1115,7 +1117,16 @@
     INTEGER ::  klist_x = 0, klist_y = 0, n_sp_x = 0, n_sp_y = 0
 
-    INTEGER ::  comp_spectra_level(10) = 999999,                   &
-                lstyles(10) = (/ 0, 7, 3, 10, 1, 4, 9, 2, 6, 8 /), &
-                plot_spectra_level(10) = 999999
+    INTEGER ::  comp_spectra_level(100) = 999999,                   &
+                lstyles(100) = (/ 0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8,    &
+                                  0, 7, 3, 10, 1, 4, 9, 2, 6, 8 /), &
+                plot_spectra_level(100) = 999999
 
     REAL    ::  time_to_start_sp = 0.0
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 188)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 189)
@@ -7,4 +7,5 @@
 ! Current revisions:
 ! ------------------
+! consistently allow 100 spectra levels instead of 10
 ! bug fix in the determination of the number of output heights for spectra
 !
@@ -3059,5 +3060,5 @@
 !--       shall be output
           ns = 1
-          DO WHILE ( comp_spectra_level(ns) /= 999999  .AND.  ns <= 10 )
+          DO WHILE ( comp_spectra_level(ns) /= 999999  .AND.  ns <= 100 )
              ns = ns + 1
           ENDDO